logo Обзор КриптоПро NGate для защищённого доступа к корпоративным ресурсам
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

4 Страницы<1234>
Опции
К последнему сообщению К первому непрочитанному
Offline Alexander A. Nikitkov  
#21 Оставлено : 30 марта 2016 г. 16:53:46(UTC)
Alexander A. Nikitkov

Статус: Сотрудник

Группы: Участники
Зарегистрирован: 22.04.2015(UTC)
Сообщений: 320
Мужчина

Сказал «Спасибо»: 4 раз
Поблагодарили: 51 раз в 51 постах
Автор: mehanik Перейти к цитате
да именно так, и на ресурсах https://lk.budget.gov.ru, https://gasu.gov.ru в КриптоFox подпись накладывается, а вот на ресурсах https://bus.gov.ru, https://zakupki.gov.ru выдает ошибку, впрочем на закупках есть еще баги в КриптоFox, позже отпишусь, на https://etp.roseltorg.ru еще не проверял


Если почитать на сайте https://gasu.gov.ru документ "Регламент подключения и интеграции с ГАС «Управление»" то на стр. 28 имеется требование наличия "КриптоПро ЭЦП Browser plug-in". На сайте budget.gov.ru сходу инструкций не нашлось. Для прояснения ситуации следует обратиться в их поддержку.

Смысл в том, что не всё то, что "заканчивается" на gov.ru имеет одинаковые требования к ПО у конечного пользователя. По каждому случаю надо выяснять отдельно.
thanks 1 пользователь поблагодарил Alexander A. Nikitkov за этот пост.
Alex_04 оставлено 07.06.2016(UTC)
Offline mehanik  
#22 Оставлено : 30 марта 2016 г. 18:39:57(UTC)
mehanik

Статус: Участник

Группы: Участники
Зарегистрирован: 12.10.2015(UTC)
Сообщений: 14
Российская Федерация

понятно, сертификат для теста дать не могу
подскажите тогда что за баг в 38 версии, в 31 все нормально открывается на весь экран 1 uzkoe okno.PNG (95kb) загружен 18 раз(а).
Offline Alexander A. Nikitkov  
#23 Оставлено : 30 марта 2016 г. 19:17:29(UTC)
Alexander A. Nikitkov

Статус: Сотрудник

Группы: Участники
Зарегистрирован: 22.04.2015(UTC)
Сообщений: 320
Мужчина

Сказал «Спасибо»: 4 раз
Поблагодарили: 51 раз в 51 постах
Автор: mehanik Перейти к цитате
понятно, сертификат для теста дать не могу
подскажите тогда что за баг в 38 версии, в 31 все нормально открывается на весь экран 1 uzkoe okno.PNG (95kb) загружен 18 раз(а).


Подходящий сертификат отсутствует. Квалифицированный физлица для авторизации, очевидно, не подойдёт.
Проверить указанное оперативно, к сожалению, пока возможности нет.
Offline Dmitry_Bokovikov  
#24 Оставлено : 31 марта 2016 г. 15:04:51(UTC)
Dmitry_Bokovikov

Статус: Сотрудник

Группы: Участники
Зарегистрирован: 29.01.2014(UTC)
Сообщений: 172
Откуда: Москва

Поблагодарили: 18 раз в 17 постах
Автор: mehanik Перейти к цитате
понятно, сертификат для теста дать не могу
подскажите тогда что за баг в 38 версии, в 31 все нормально открывается на весь экран 1 uzkoe okno.PNG (95kb) загружен 18 раз(а).


Это похоже на баг в самом firefox'e, к которому наша модификация отношения не имеет
Offline mehanik  
#25 Оставлено : 31 марта 2016 г. 23:33:12(UTC)
mehanik

Статус: Участник

Группы: Участники
Зарегистрирован: 12.10.2015(UTC)
Сообщений: 14
Российская Федерация

в том то и дело что для чистоты эксперимента файрфокс на комп не ставился, только криптофокс
Offline Alex_04  
#26 Оставлено : 6 июня 2016 г. 19:08:06(UTC)
Alex_04

Статус: Активный участник

Группы: Участники
Зарегистрирован: 18.08.2014(UTC)
Сообщений: 65
Мужчина
Российская Федерация

Сказал «Спасибо»: 12 раз
Поблагодарили: 4 раз в 4 постах
Здравствуйте. Работа в ГАСУ, ОС - Win7Max/x86, КриптоПро-3.6, Java-6.20, браузер КриптоFox-38.3.0esr, сертификат ФЛ для входа в л/к пользователя ГАСУ проверку ЕСИА проходит, плагин простановки ЭП от Госуслуг установлен и "всегда включать". При подписании документа:
Цитата:
Ошибка при работе с ЭЦП
Среда работы с ЭЦП не найдена. Пожалуйста, проверьте, что у вас установлен плагин для работы с ЭЦП. Плагин можно загрузить по ссылке: https://www.cryptopro.ru

Правильно понимаю, что КриптоFox-у не хватает как раз этого плагина:
Автор: ГОСТface_killah Перейти к цитате
Если почитать на сайте https://gasu.gov.ru документ "Регламент подключения и интеграции с ГАС «Управление»" то на стр. 28 имеется требование наличия "КриптоПро ЭЦП Browser plug-in".

Если да, то логичнее устанавливать версию 2.0?
Цитата:
Смысл в том, что не всё то, что "заканчивается" на gov.ru имеет одинаковые требования к ПО у конечного пользователя. По каждому случаю надо выяснять отдельно.

+1. По данной ошибке обратились в ЕКЦ ФК (техподдержка ГАСУ), когда разберутся - ... а времени в обрез.
Поэтому очень большая просьба оперативно дать совет здесь. Заранее большое спасибо!

P.S: можно подписать из рекомендуемого IE-11.0, но важно уточнить про подписание в КриптоFOX - для компов под WinXP, на которых ничего не попишешь в IE-8.0.

Отредактировано пользователем 6 июня 2016 г. 19:46:52(UTC)  | Причина: Не указана

Offline Alex_04  
#27 Оставлено : 7 июня 2016 г. 11:34:40(UTC)
Alex_04

Статус: Активный участник

Группы: Участники
Зарегистрирован: 18.08.2014(UTC)
Сообщений: 65
Мужчина
Российская Федерация

Сказал «Спасибо»: 12 раз
Поблагодарили: 4 раз в 4 постах
Автор: Alex_04 Перейти к цитате
Правильно понимаю, что КриптоFox-у не хватает как раз этого плагина:
Автор: ГОСТface_killah Перейти к цитате
...имеется требование наличия "КриптоПро ЭЦП Browser plug-in".

Сегодня не дожидаясь ответа опробовал этот плагин v2.0 - всё ОК! Спасибо сотруднику ГОСТface_killah за пост с подсказкой - узнал недостающее обязательное звено для подписания в ГАСУ под ЛЮБОЙ операционкой из-под ЛЮБОГО браузера. Angel

Отредактировано пользователем 7 июня 2016 г. 14:42:36(UTC)  | Причина: Не указана

Offline Alex_04  
#28 Оставлено : 8 июня 2016 г. 17:29:59(UTC)
Alex_04

Статус: Активный участник

Группы: Участники
Зарегистрирован: 18.08.2014(UTC)
Сообщений: 65
Мужчина
Российская Федерация

Сказал «Спасибо»: 12 раз
Поблагодарили: 4 раз в 4 постах
Автор: mehanik Перейти к цитате
на компьютере установлен firefox 45.01 и cpfox 38.3
произвел локализацию cpfox 38.3 (языковой пакет 38.05) но после запуска firefox
- cpfox просит обновить языковой пакет, отказываюсь
- слетает локализация cpfox

+1. Похоже не удастся русифицировать cpfox более низкой версии, чем firefox на одном и том компе - настройки профиля как-бы "общие" для обоих. Вот если бы firefox был portable, то возможно удастся локализовать cpfox более низкой версии?
Цитата:
подскажите как отключить в cpfox "cpfox Update"
обновления отключены
+1
Автор: basid Перейти к цитате
Метод научного тыка показал, что несмотря на 38.3.0 локализация должна браться от 38.0.

Личный опыт подтверждает: на cpfox 38.3.0 встает локализация для версий 38.0-38.*, например отсюда: https://addons.mozilla.o...ons/?page=1#version-38.0

Отредактировано пользователем 8 июня 2016 г. 17:35:59(UTC)  | Причина: Не указана

Offline mehanik  
#29 Оставлено : 18 июня 2016 г. 15:50:57(UTC)
mehanik

Статус: Участник

Группы: Участники
Зарегистрирован: 12.10.2015(UTC)
Сообщений: 14
Российская Федерация

Автор: Alex_04 Перейти к цитате
Автор: Alex_04 Перейти к цитате
Правильно понимаю, что КриптоFox-у не хватает как раз этого плагина:
Сегодня не дожидаясь ответа опробовал этот плагин v2.0 - всё ОК! Спасибо сотруднику ГОСТface_killah за пост с подсказкой - узнал недостающее обязательное звено для подписания в ГАСУ под ЛЮБОЙ операционкой из-под ЛЮБОГО браузера. Angel


подскажите что за звено,
потому что браузер плагин ставил
плагин электронного правительства тоже установлен
Offline Alex_04  
#30 Оставлено : 20 июня 2016 г. 15:51:56(UTC)
Alex_04

Статус: Активный участник

Группы: Участники
Зарегистрирован: 18.08.2014(UTC)
Сообщений: 65
Мужчина
Российская Федерация

Сказал «Спасибо»: 12 раз
Поблагодарили: 4 раз в 4 постах
Автор: mehanik Перейти к цитате
подскажите что за звено,
потому что браузер плагин ставил

О нем и шла речь:
Автор: ГОСТface_killah Перейти к цитате
Если почитать на сайте https://gasu.gov.ru документ "Регламент подключения и интеграции с ГАС «Управление»" то на стр. 28 имеется требование наличия "КриптоПро ЭЦП Browser plug-in".

В списке плагинов он появился, включен или отключен?
(http://cryptopro.ru/products/cades/plugin/get_2_0 - прямая ссылка на его скачку)
Версия КриптоПро Fox? Я ставил на 38.3.0 esr-pre.

Отредактировано пользователем 20 июня 2016 г. 15:59:11(UTC)  | Причина: Не указана

Offline mehanik  
#31 Оставлено : 23 июня 2016 г. 15:53:52(UTC)
mehanik

Статус: Участник

Группы: Участники
Зарегистрирован: 12.10.2015(UTC)
Сообщений: 14
Российская Федерация

спасибо
Offline Винтик  
#32 Оставлено : 29 августа 2016 г. 21:03:03(UTC)
Винтик

Статус: Активный участник

Группы: Участники
Зарегистрирован: 20.11.2014(UTC)
Сообщений: 313

Сказал(а) «Спасибо»: 3 раз
Поблагодарили: 7 раз в 6 постах
КриптоПро Fox.

КриптоПро Fox представляет собой веб-браузер на основе Mozilla FireFox, поддерживающий установку
защищённых соединений (Transport Layer Security, TLS) с использованием российских криптографических алгоритмов.

По данным http://www.cryptopro.ru/products/cpfox

Можно закачать последние версии.

Поддерживаемые операционные системы

Microsoft Windows;
Linux;
Apple OS X.

Например для работы на ОС Microsoft Windows надо установить:

КриптоПро CSP 3.6 или новее (страница загрузки)
КриптоПро Fox (cкачать КриптоПро Fox 24 для Windows)
КриптоПро Fox (cкачать КриптоПро Fox 31 для Windows)
КриптоПро Fox (cкачать КриптоПро Fox 38 для Windows)
КриптоПро Fox (cкачать КриптоПро Fox 45 для Windows)

===
Извиняюсь, но не нашёл раздел, нашёл эту тему.
Хотелось бы уточнить есть ли рус. версия?
И тут увидел что и как делали, странно, что вроде версия 45 уже и как не крути типа ГОСТ и всё такое Русское,
но дистрибутив "cpfox-45.1.2.en-US.win32.installer" - это не серьёзно, надо пожаловаться в кремль :-)
Что это за не уважение и US-ушная пропаганда? ААА? Angel Whistle

И ещё уточнить, как я понимаю это просто ваша "доп.работа" и от части не кто особо её не применяет как основу,
для различных порталов, а отдают предподчтение самому ужасному IE Brick wall

При скачивании версий 24, 31, 38, 45 - если смотреть "подробно" то там всегда версия файла 4.42 - это так и должно быть?
По Хеш-сумме они естественно все разные.

Спасибо за доп. ещё один браузер, он правда не лишний, т.к. придумали столько всего уже, что теперь чтоб это всё настроить
вместе - надо порой каску надевать, чтоб затылок не протереть и чтоб по тому же затылку не настучали.

\Эх когда же там будут ГОСТ хоть какой то соблюдать и неужели нельзя за столько время, выработать "ГОСТ-крипто-браузер",
чтоб он был именно для всех этих торговых площадок и работал бы совместно с вашими и другими КРИПТО...\
Offline basid  
#33 Оставлено : 30 августа 2016 г. 4:52:25(UTC)
basid

Статус: Активный участник

Группы: Участники
Зарегистрирован: 21.11.2010(UTC)
Сообщений: 740

Сказал(а) «Спасибо»: 5 раз
Поблагодарили: 92 раз в 84 постах
Не надо "нагнетать и драматизировать".
SM/FF/TB штатно русифицируются штатными дополнениями.
Если не хотите возится с установкой дополнений у каждого пользователя - можете устанавливать дополнения/плагины "глобально", но дополнения пользователю всё равно придётся активировать, а для смены языка - ещё и установить general.useragent.locale в ru через about:config.
Offline Винтик  
#34 Оставлено : 30 августа 2016 г. 5:11:35(UTC)
Винтик

Статус: Активный участник

Группы: Участники
Зарегистрирован: 20.11.2014(UTC)
Сообщений: 313

Сказал(а) «Спасибо»: 3 раз
Поблагодарили: 7 раз в 6 постах
Автор: basid Перейти к цитате
Не надо "нагнетать и драматизировать".
SM/FF/TB штатно русифицируются штатными дополнениями.
Если не хотите возится с установкой дополнений у каждого пользователя - можете устанавливать дополнения/плагины "глобально", но дополнения пользователю всё равно придётся активировать, а для смены языка - ещё и установить general.useragent.locale в ru через about:config.



Я понимаю и не наглею :-) мне в принципе главное чтоб не на Китайском или Японском.
Но в целом образно представьте, те же олимпийские игры или тот же футбол (только не плакать)))
и вот наши участники выходят и на форме лэйблы "US" а по русски "ГЫ" - вот вам и наглость.
То что вы посоветовали видел тут пишут, но есть вроде обычный путь для пользователя, нажимает..
ставит вроде RU и получает не раб. КриптоПро Fox.
А так то я понимаю это свободное ПО потому и "Fox" они даже не могут писать "Лиса".
Нет у нас в России программистов, чтоб свои полноценные программы делать, подобные как ОС и т.п.
По большей части это изобретение велосипеда, потому и считается лишним.
А разработчикам я наоборот Спасибо сказал Applause

И "штатно" не русифицируется, под этим я понимаю выбрать опцию пользователю, нажать и получить.
А там это так не делается - потому это в нештатно с привлечением дополнительного персонала.
Offline basid  
#35 Оставлено : 30 августа 2016 г. 10:49:58(UTC)
basid

Статус: Активный участник

Группы: Участники
Зарегистрирован: 21.11.2010(UTC)
Сообщений: 740

Сказал(а) «Спасибо»: 5 раз
Поблагодарили: 92 раз в 84 постах
Русифицируется именно что штатно - установить дополнение из файла и т.п.
И дополнения и плагины без проблем добавляются в дистрибутив, что устанавливать желаемый (требуемый) комплект сразу или обновлять уже имеющуюся установку.
От пользователя требуется активировать такие дополнения и конкретно для русского - сменить язык интерфейса. Делается один раз для профиля.
Разбираться, делается ли это "как-нибудь автоматически" я не стал - просто написал небольшую инструкцию, состоящую, в основном, из скриншотов.
Offline Винтик  
#36 Оставлено : 30 августа 2016 г. 11:32:33(UTC)
Винтик

Статус: Активный участник

Группы: Участники
Зарегистрирован: 20.11.2014(UTC)
Сообщений: 313

Сказал(а) «Спасибо»: 3 раз
Поблагодарили: 7 раз в 6 постах
Я видел, спасибо. Это не проблема, просто как то ставил и если просто выбирать в настройках РУ не работает, вчера коллега попробовал версию 45, но там тоже не так просто всё.. т.е. думаю по вашим скрина кому надо русифицируют.
Offline basid  
#37 Оставлено : 30 августа 2016 г. 18:26:16(UTC)
basid

Статус: Активный участник

Группы: Участники
Зарегистрирован: 21.11.2010(UTC)
Сообщений: 740

Сказал(а) «Спасибо»: 5 раз
Поблагодарили: 92 раз в 84 постах
Автор: Винтик Перейти к цитате
вчера коллега попробовал версию 45, но там тоже не так просто всё
Я продолжаю настаивать, что (cp)FF 31/38/45 в части (глобальной) установки (обновления) плагинов и дополнений апцалютнаыдентичны.
При "локальной" установки дополнения для русификации интерфейса - "оношамо", при "глобальной" - разово включить, а потом сменить язык через about:config.
Offline Винтик  
#38 Оставлено : 30 августа 2016 г. 19:34:19(UTC)
Винтик

Статус: Активный участник

Группы: Участники
Зарегистрирован: 20.11.2014(UTC)
Сообщений: 313

Сказал(а) «Спасибо»: 3 раз
Поблагодарили: 7 раз в 6 постах
Ясно, спасибо. Теперь будем знать.
Может тогда и по версиям чуть проясните - 45 это значит она учитывает недочёты предыдущих версий и вроде лучше всех,
или всё же как получится?
Offline basid  
#39 Оставлено : 31 августа 2016 г. 4:29:46(UTC)
basid

Статус: Активный участник

Группы: Участники
Зарегистрирован: 21.11.2010(UTC)
Сообщений: 740

Сказал(а) «Спасибо»: 5 раз
Поблагодарили: 92 раз в 84 постах
Автор: Винтик Перейти к цитате
45 это значит она учитывает недочёты предыдущих версий и вроде лучше всех
45 это версия Mozilla Foundation. CryptoFox это "какая-то версия MoFo" NSS которого собран с поддержкой ГОСТ-шифрования в рамках конкретного криптопровайдера.
То, что КриптоПро может учесть в рамках своего патча, вероятно, учитывается. Всё остальное смотрится на более других ресурсах. Если достаточно анонсов и "небольшой перепалки в коментах" - Mozilla Россия.
Если сравнивать 31-ю, 38-8 и 45-ю версии, то первые две очень условно можно назвать "классикой", а последнюю - модерном.
Лично я ориентировался бы на требуемые расширения и желание переходить на cpfox45: если всё устраивает и хочется шевелиться - 38 :-)
Offline Винтик  
#40 Оставлено : 31 августа 2016 г. 8:30:16(UTC)
Винтик

Статус: Активный участник

Группы: Участники
Зарегистрирован: 20.11.2014(UTC)
Сообщений: 313

Сказал(а) «Спасибо»: 3 раз
Поблагодарили: 7 раз в 6 постах
Хорошо, понятно. Т.е. итог типа такой - если работает и не трогай :-)
RSS Лента  Atom Лента
Пользователи, просматривающие эту тему
4 Страницы<1234>
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.